> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/cricket-api/our-api/fixtures/get-fixture-by-id.md).

# GET Fixture by ID

### `GET` Fixture by ID

```
https://cricket.sportmonks.com/api/v2.0/fixtures/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                                                                                                                                                          |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url.                                                                                                                                        |
| fields\[object]      | Only return fields you are interested in. Every type of data in the response has a resource type, like fixtures or battings. Simply add `&fields[object]=id,name,code` to your request URL. For example: `&fields[fixtures]=id&fields[battings]=active.` |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.                                                                                                                                                    |

**Sort**

You can sort on all fields.

#### Include options

`balls` `runs` `bowling` `batting` `venue` `stage` `season` `league` `visitorteam` `localteam` `scoreboards` `firstumpire` `secondumpire` `referee` `manofseries` `manofmatch` `tosswon` `lineup`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

To gain more information on the relations available for the include you can use [nested includes](https://docs.sportmonks.com/cricket/getting-started/enriching-your-response). For example you can use `batting.batsman` or `batting.bowler` or `batting.runoutby`. more option are available.

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MTeYiIp3JNsC4Lao5Nm" %}
[Enriching your response](/v2/cricket-api/getting-started/enriching-your-response.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/fixtures/3?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": {
        "resource": "fixtures",
        "id": 3,
        "league_id": 3,
        "season_id": 6,
        "stage_id": 1755,
        "round": "2nd T20I",
        "localteam_id": 40,
        "visitorteam_id": 41,
        "starting_at": "2018-10-12T16:00:00.000000Z",
        "type": "T20I",
        "live": 0,
        "status": "Finished",
        "last_period": null,
        "note": "South Africa won by 6 wickets (with 26 balls remaining)",
        "venue_id": 96,
        "toss_won_team_id": 41,
        "winner_team_id": 40,
        "draw_noresult": null,
        "first_umpire_id": 36,
        "second_umpire_id": 127,
        "tv_umpire_id": 37,
        "referee_id": 15,
        "man_of_match_id": 80,
        "man_of_series_id": null,
        "total_overs_played": null,
        "elected": "batting",
        "super_over": false,
        "follow_on": false,
        "localteam_dl_data": {
            "score": null,
            "overs": null,
            "wickets_out": null
        },
        "visitorteam_dl_data": {
            "score": null,
            "overs": null,
            "wickets_out": null
        },
        "rpc_overs": null,
        "rpc_target": null,
        "weather_report": []
    }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/fixtures/get-fixture-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
